#include "arc/std/time.h"

ARC_Time ARC_Time_CopyFromStructTmPtr(struct tm *time){
    return (ARC_Time){
        time->tm_sec,
        time->tm_min,
        time->tm_hour,

        time->tm_yday,
        time->tm_mon,
        time->tm_year,

        time->tm_wday,
        time->tm_mday,

        time->tm_isdst
    };
}
